using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Dao;
using Domain;

namespace Service.Implement
{
	public class EnergyConsumptionStatisticsManager : IEnergyConsumptionStatisticsManager
	{
		public IEnergyConsumptionStatisticsRepository CurrentRepository { get; set; }

		public void StatisticHostModalEnergy()
		{ 
			
		}

		public IList<string> LoadRoomNumbers()
		{
			return CurrentRepository.LoadRoomNumbers();
		}

        public DataTable LoadModals(string roomNumber, DeviceType? deviceType)
		{
            return CurrentRepository.LoadModals(roomNumber, deviceType);
		}
	}
}
